\page{2}{
\header{1}{Programming}

Implement in \code{QuadImpl.integrateSurfacePressureComponent(...)}
the integration of the surface pressure $p$. To do so you have to
calculate the normal vector ${\bf n}$ on the appropriate edge and
calculate ${\bf f}^S = p \cdot {\bf n}$. Now you can calculate the
following integral to retrieve the nodal forces

$$
\delta W^S_{ext} = \sum \limits_e \int_{{}^eS} \delta {}^e{\bf u}^T \, {}^e{\bf f}^S {\rm d} S = 
\delta \hat{\bf u}^T \sum \limits_e \int_{{}^eS} {}^e{\bf H}^T \, p \, {\bf n} \, {\rm d} S = 
\delta \hat{\bf u}^T \, {\bf F}^S_{ext}
$$

via introduction of the ``edge'' shape functions for interpolation of
$\delta {}^e{\bf u} = {}^e{\bf H}({\bf r}) \, \delta \hat {}^e{\bf u}$
along the edge. The applied pressure could be stored as
\code{force\_density} inside the \code{Node} and should be assembled
into the global equation system.

\vspace{1cm}
\header{2}{Example}

Calculate the following example. Take advantage of the symmetries and
use the code you wrote in 1. Create an input file and discuss the
results. It would be of interest to analyze the error made by the
finite element method in comparison to the exact solution. (Missing
parameters are free to choose)

\begin{center}
  \includegraphics{images/thick_cyl_pressure} 
\end{center}

An analytical solution is given for comparison:\\

\begin{eqnarray*}
\sigma_{rr}(r) &=& p \cdot \frac{r_i^2}{r_a^2-r_i^2} \cdot \left( 1 - \frac{r_a^2}{r^2} \right)\\
\sigma_{\varphi\varphi}(r) &=& p \cdot \frac{r_i^2}{r_a^2-r_i^2} \cdot \left( 1 + \frac{r_a^2}{r^2} \right)
\end{eqnarray*}

}

%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "main"
%%% End: 
